using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：预计影响范围
    /// </summary>
    [Description("导航属性：预计影响范围")]
    public class T_CM_URGENT_AREAR_INFLUENCE : MesEntityBase
    {
        /// <summary>
        /// 潜在紧急事件ID
        /// </summary>
        [Description("潜在紧急事件")]
        [DataFieldForeignKey("Nav_UrgentEvent", "Nav_ListArearInfluence")]
        public Guid URGENT_EVENT_ID { get; set; }

        /// <summary>
        /// 导航属性：潜在紧急事件
        /// </summary>
        [Description("导航属性：潜在紧急事件")]
        public T_CM_URGENT_EVENT Nav_UrgentEvent { get; set; }
        /// <summary>
        /// 预计影响范围ID
        /// </summary>
        [Description("预计影响范围")]
        [DataFieldForeignKey("Nav_CoverageInfluence")]
        public Guid COVERAGE_INFLUENCE_ID { get; set; }

        /// <summary>
        /// 导航属性：预计影响范围
        /// </summary>
        [Description("导航属性：预计影响范围")]
        public T_CM_COVERAGE_INFLUENCE Nav_CoverageInfluence { get; set; }


    }
}
